%define ver 031101
%define docsver 030610

Name: tidy
Version: 0.99
Release: alt4.20%ver

Summary: HTML Tidy helps keep webpages clean
License: W3C licence
Group: Text tools

Url: http://tidy.sourceforge.net
Source: %url/src/tidy_src_%ver.tgz
Source1: %url/docs/tidy_docs_%docsver.tgz

Epoch: %(date +%%Y%%m%%d)

Summary(ru_RU.KOI8-R): HTML Tidy   web-
Summary(uk_UA.KOI8-U): HTML Tidy   web-Ҧ

# Automatically added by buildreq on Tue Dec 23 2003
BuildRequires: gcc-c++ hostinfo libstdc++-devel

%description
When editing HTML it's easy to make mistakes. Wouldn't it be nice if there was
a simple way to fix these mistakes automatically and tidy up sloppy editing
into nicely layed out markup? Well now there is! Dave Raggett's HTML TIDY is a
free utility for doing just that. It also works great on the atrociously hard
to read markup generated by specialized HTML editors and conversion tools, and
can help you identify where you need to pay further attention on making your
pages more accessible to people with disabilities.

Tidy is able to fix up a wide range of problems and to bring to your attention
things that you need to work on yourself. Each item found is listed with the
line number and column so that you can see where the problem lies in your
markup. Tidy won't generate a cleaned up version when there are problems that
it can't be sure of how to handle. These are logged as "errors" rather than
"warnings".

%description -l ru_RU.KOI8-R
  HTML  .  ,   , 
        
    ?    !   
HTML TIDY  Dave Ragett   .    
   -   HTML 
 ;    ,   
  .

Tidy          , 
  .       
  ,     .  Tidy   
 ,   ,    
 --    "",   "".

%description -l uk_UA.KOI8-U
 Φ HTML  .  ,   ,   
       Ц 
  ϧ ͦ?   צ !   ̦ HTML TIDY צ Dave
Ragett   .   Ѥ æ  ϧ  
ͦ -Ц æ̦ Ҧ HTML  ̦ ; 
  ͦ,       Ц
Ԧ æ.

Tidy          , 
  .         
,     .  Tidy     Ӧ,
  ,  ˦    -- 
צͦ  "" ͦ "".

%package -n lib%name
Summary: Shared libraries for %name
Group: System/Libraries

%description -n lib%name
Shared libraries for %name

%package -n lib%name-devel
Summary: Header files and libraries for %name development
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
Header files and libraries for %name development

%if_enabled static
%package -n lib%name-devel-static
Summary: Static libraries for %name development
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
Static libraries for %name development
%endif

%prep
%setup -q -n %name
%setup -q -n %name -T -D -b1

%build
/bin/sh build/gnuauto/setup.sh
unset CC CXX
%configure
%make_build

%install
%makeinstall
%__install -pD -m644 htmldoc/man_page.txt %buildroot%_man1dir/tidy.1
%__rm htmldoc/man_page.txt htmldoc/doxygen.cfg
%__mv htmldoc/api _api

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%doc htmldoc/*
%_bindir/*
%_man1dir/*

%files -n lib%name
%_libdir/*.so.*

%files -n lib%name-devel
%doc _api/*
%_includedir/*
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Sat Apr 30 2005 Michael Shigorin <mike@altlinux.ru> 20050430:0.99-alt4.20031101
- #6756 (interpackage requires for devel ones)

* Tue Dec 23 2003 Michael Shigorin <mike@altlinux.ru> 20031223:0.99-alt3_20031101
- 20031101
- removed *.la
- don't build static library by default

* Mon Oct 06 2003 Michael Shigorin <mike@altlinux.ru> 20031006:0.99-alt2_20031002
- 20031002

* Wed Aug 20 2003 Michael Shigorin <mike@altlinux.ru> 20030820:0.99-alt1_20030815
- 20030815
- fix upon broken 20030801-alt2's /usr/bin/tidy (ouch!)
- spec update/cleanup (also looking at Fedora one)
- libification
- since library API version appears to be 0.99, that will be the
  %%version; Epoch added to support transition.

* Fri Aug 15 2003 Michael Shigorin <mike@altlinux.ru> 20030801-alt2
- cleaned up for Sisyphus

* Fri Aug 08 2003 Michael Bykov <michael@michael.rsuh.ru> 20030801-alt1
- tidy.sf.net [changelog entry by mike@]

* Mon Oct 28 2002 Michael Shigorin <mike@altlinux.ru> 20000804-alt1
- rebuilt with gcc 3.2

* Sat May 25 2002 Michael Shigorin <mike@altlinux.ru> 4aug00-alt0.1
- built for ALT Linux

